Subject: bug#6140: 24.0.50; Redisplay problem with the Lao script

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 21 Aug 2019 16:53:11 -0700

Eli Zaretskii <[email-masked]> writes:

>  emacs -Q
>  C-h H
>  C-u 1 5 6 4 C-f
>
> This will place you on the character in the Lao greeting whose buffer
> position is 1565.  This is the 2nd character to the left of the slash.
>
> Now type "M-x" and observe the character to the right of the cursor.  It
> is a composed character.  Once you type "M-x", it is "decomposed": its
> upper part (and everything in that line to the right of it) shifts to
> the right.

I tried reproducing this in Emacs 27, but used `C-u 1 8 9 3 C-f' instead
to get to that place in the Lao greeting.

But nothing in particular seems to happen when I `M-x' anywhere from
within the greeting, as far as I can see.

> I see the same in Emacs 23.2, so this has nothing to do with bidi
> reordering code.
>
> If this is a problem with the Lao font used for displaying Lao, then
> please tell which Lao font is better.  For the record, "C-u C-x ="
> says that the font used is this:
>
>  -outline-DejaVu Sans Mono-normal-normal-normal-mono-13-*-*-*-c-*-iso10646-1

I have:

    xfthb:-PfEd-DejaVu Sans Mono-normal-normal-normal-*-17-*-*-*-m-0-iso10646-1 (#x4B9)

which is pretty similar...

Are you still seeing this problem or has it gone away in the nine years
since this was reported?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no